"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.operationResponseMapper = void 0;
const JsonSchemaMapperContainer_1 = require("../registries/JsonSchemaMapperContainer");
function operationResponseMapper(jsonResponse, options = {}) {
    const response = (0, JsonSchemaMapperContainer_1.execMapper)("map", jsonResponse, options);
    if (jsonResponse.status === 204) {
        delete response.content;
    }
    if (response.headers) {
        Object.entries(response.headers).forEach(([key, { type, ...props }]) => {
            response.headers[key] = {
                ...props,
                schema: {
                    type
                }
            };
        });
    }
    return response;
}
exports.operationResponseMapper = operationResponseMapper;
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("operationResponse", operationResponseMapper);
//# sourceMappingURL=operationResponseMapper.js.map