"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonMap = void 0;
const core_1 = require("@tsed/core");
const JsonSchemaMapperContainer_1 = require("../registries/JsonSchemaMapperContainer");
class JsonMap extends Map {
    $kind = "map";
    $isJsonDocument = true;
    constructor(obj = {}) {
        super();
        this.assign(obj);
    }
    assign(obj = {}) {
        Object.entries(obj).forEach(([key, value]) => {
            if ((0, core_1.isFunction)(this[key])) {
                this[key](value);
            }
            else {
                this.set(key, value);
            }
        });
        return this;
    }
    toJSON(options) {
        return (0, JsonSchemaMapperContainer_1.execMapper)("map", this, options);
    }
}
exports.JsonMap = JsonMap;
//# sourceMappingURL=JsonMap.js.map