"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapRouteOptions = void 0;
const httpMethods_1 = require("../constants/httpMethods");
function mapRouteOptions(args) {
    let method = undefined;
    let path = undefined;
    const handlers = args.filter((arg) => {
        if (typeof arg === "string" && httpMethods_1.HTTP_METHODS.includes(arg.toLowerCase())) {
            method = arg.toLocaleUpperCase();
            return false;
        }
        if (typeof arg === "string" || arg instanceof RegExp) {
            path = arg || "/";
            return false;
        }
        return !!arg;
    });
    return {
        path,
        method,
        use: handlers
    };
}
exports.mapRouteOptions = mapRouteOptions;
//# sourceMappingURL=mapRouteOptions.js.map