import { JsonEntityFn } from "./jsonEntityFn.js";
/**
 * See https://tools.ietf.org/html/draft-wright-json-schema-validation-01#section-6.28
 *
 * ::: warning
 * OneOf isn't supported by OS2
 * :::
 *
 * @decorator
 * @validation
 * @swagger
 * @schema
 * @classDecorator
 * @input
 * @param oneOf
 */
export function OneOf(...oneOf) {
    return JsonEntityFn((entity) => {
        entity.itemSchema.oneOf(oneOf);
        entity.type = Object;
    });
}
//# sourceMappingURL=oneOf.js.map