import { ancestorsOf } from "@tsed/core";
import { getJsonEntityStore } from "./getJsonEntityStore.js";
/**
 * Return store and his inherited stores
 * @param target
 * @ignore
 */
export function getInheritedStores(target) {
    const store = target.isStore ? target : getJsonEntityStore(target);
    if (!store.$inherited) {
        store.$inherited = ancestorsOf(store.target)
            .reverse()
            .reduce((context, model) => {
            return context.set(model, getJsonEntityStore(model));
        }, new Map());
    }
    return store.$inherited;
}
//# sourceMappingURL=getInheritedStores.js.map