import { useDecorators } from "@tsed/core";
import { ErrorMsg } from "../decorators/common/errorMsg.js";
export function withErrorMsg(errorKey, originalDecorator) {
    const schema = {};
    return ((...decoratorOptions) => {
        const decorator = useDecorators(originalDecorator(...decoratorOptions));
        decorator.Error = (message) => {
            schema.message = message;
            return useDecorators(decorator, schema.message && ErrorMsg({ [errorKey]: message }));
        };
        return decorator;
    });
}
//# sourceMappingURL=withErrorMsg.js.map