import { OpenSpecTag } from "@tsed/openspec";
/**
 * Add tags metadata on the decorated element.
 *
 * ## Examples
 * ### On method
 *
 * ```typescript
 * @Controller("/")
 * class MyController {
 *  @Tags("api")
 *  get() {}
 * }
 * ```
 *
 * @param tags
 * @decorator
 * @swagger
 * @schema
 * @classDecorator
 * @operation
 */
export declare function Tags(...tags: (string | OpenSpecTag)[]): (...args: any[]) => any;
