import { OpenSpec2, OpenSpec3 } from "@tsed/openspec";
import { JsonTokenOptions, SpecSerializerOptions } from "./getSpec";
export interface GenerateSpecOptions extends Omit<SpecSerializerOptions, "specType"> {
    tokens: JsonTokenOptions;
    version?: string;
    acceptMimes?: string;
    specPath?: string;
    specVersion?: string;
    spec?: any;
}
/**
 * Generate OpenAPI spec from multiple sources (models, files, conf)
 * @param tokens
 * @param options
 */
export declare function generateSpec({ tokens, ...options }: GenerateSpecOptions): Promise<OpenSpec2 | OpenSpec3>;
