import { Type } from "@tsed/core";
import { JsonSchema } from "../domain/JsonSchema";
export type GenericValue = Type<any> | JsonSchema | any;
/**
 * @ignore
 */
export type GenericsMap = Map<string, GenericValue>;
/**
 * @ignore
 */
export interface GenericTypes {
    genericTypes: Type<any>[];
    [key: string]: any;
}
/**
 * @ignore
 */
export interface GenericLabels {
    genericLabels: string[];
    [key: string]: any;
}
/**
 * @ignore
 */
export interface NestedGenerics {
    nestedGenerics: GenericValue[][];
    [key: string]: any;
}
/**
 * @ignore
 */
export interface GenericsContext extends GenericTypes, GenericLabels, NestedGenerics {
    generics: GenericsMap;
}
/**
 * @ignore
 * @param genericLabels
 * @param genericTypes
 */
export declare function getGenericsMap(genericLabels: string[], genericTypes: GenericValue[]): GenericsMap;
/**
 * @ignore
 * @param options
 */
export declare function mapGenericsOptions(options: Partial<GenericTypes & GenericLabels>): Partial<GenericTypes & GenericLabels>;
/**
 * @ignore
 * @param value
 */
export declare function popGenerics(value: NestedGenerics): NestedGenerics & GenericTypes;
